function [ output_args ] = plots(g_data)
%PLOTS Summary of this function goes here
%  Detailed explanation goes here
[wr,wc]=size(g_data.ss2);
figure(1); plot(g_data.ss2); grid on;
[wr,wc]=size(g_data.ss2);
XMIN=0; YMIN=min(g_data.ss2)-1; 
XMAX=wr; YMAX=max(g_data.ss2)+1;
xlabel('Times'); ylabel('mvl');
axis([XMIN XMAX YMIN YMAX]);
% Рисунок коэффициентов
figure(2); H1=mesh(g_data.ss3);
[wr,wc]=size(g_data.ss3);
set(H1,'LineWidth',2);
xlabel('Times'); ylabel('Scale'); zlabel('W coefs');
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss3));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss3));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);


figure(3); H2=mesh(g_data.ss4);
[wr,wc]=size(g_data.ss4);
set(H2,'LineWidth',2);
xlabel('Times'); ylabel('Scale'); zlabel('\sigma^4');
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss4));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss4));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);

figure(4); H3=mesh(g_data.ss5);
[wr,wc]=size(g_data.ss5);
set(H3,'LineWidth',2)
xlabel('Times'); ylabel('Scale'); zlabel('\sigma^5');
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss5));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss5));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);


figure(5); H4=mesh(g_data.ss1);
[wr,wc]=size(g_data.ss1);
set(H4,'LineWidth',2)
xlabel('Times'); ylabel('Scale'); zlabel('\sigma^3');
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss1));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss1));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);

figure(6); H5=mesh(g_data.ss);
[wr,wc]=size(g_data.ss);
xlabel('Times'); ylabel('Scale'); zlabel('\sigma^2');
set(H5,'LineWidth',2)
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);

figure(7)
subplot(3,1,1); plot(g_data.ss2); grid on
[wr,wc]=size(g_data.ss2);
XMIN=0; YMIN=min(g_data.ss2)-1; 
XMAX=wr; YMAX=max(g_data.ss2)+1;
axis([XMIN XMAX YMIN YMAX])
subplot(3,1,2); H6=mesh(g_data.ss);
[wr,wc]=size(g_data.ss);
set(H6,'LineWidth',2)
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);
subplot(3,1,3); H7=mesh(g_data.ss1);
[wr,wc]=size(g_data.ss1);
set(H7,'LineWidth',2)
XMIN=0; YMIN=0; ZMIN=min(min(g_data.ss1));
XMAX=wc; YMAX=wr;ZMAX=max(max(g_data.ss1));
axis([XMIN XMAX YMIN YMAX ZMIN ZMAX]);
